aboutsummaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorGilbert Ramirez <gram@alumni.rice.edu>1999-07-27 04:43:22 +0000
committerGilbert Ramirez <gram@alumni.rice.edu>1999-07-27 04:43:22 +0000
commit1708722fc214bb474c9fd9530c14ac6ded2f4b41 (patch)
tree99cc28ae88d9ffcd1e3058a98ded80655f1f4405 /autogen.sh
parenteea3b55caba311f490a2220084c7a00e9da5d9cd (diff)
Removed automatically-generated files from CVS. Some files are generated,
others are copied into the build-tree by 'automake -a'. The autogen.sh script runs autoheader, automake, and autoconf for the developer in order to populate a fresh CVS image with the generated build tools. svn path=/trunk/; revision=388
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh54
1 files changed, 54 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000000..1e25a1e23d
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,54 @@
+#!/bin/sh
+#
+# Run this to generate all the initial makefiles.
+#
+# $Id: autogen.sh,v 1.1 1999/07/27 04:43:01 gram Exp $
+
+DIE=0
+PROJECT="Ethereal"
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoconf installed to compile $PROJECT."
+ echo "Download the appropriate package for your distribution,"
+ echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+ DIE=1
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoconf installed to compile $PROJECT."
+ echo "Download the appropriate package for your distribution,"
+ echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+ DIE=1
+}
+
+if test "$DIE" -eq 1 ; then
+ exit 1
+fi
+
+if test -z "$*"; then
+ echo "Running ./configure with no arguments. If you wish to pass any,",
+ echo "please specify them on the $0 command line."
+fi
+
+for dir in . wiretap ; do
+ echo processing $dir
+ (cd $dir; \
+ aclocalinclude="$ACLOCAL_FLAGS"; \
+ aclocal $aclocalinclude; \
+ autoheader; automake --add-missing --gnu $am_opt; autoconf)
+done
+
+for dir in doc; do
+ echo processing $dir
+ (cd $dir; \
+ aclocalinclude="$ACLOCAL_FLAGS"; \
+ aclocal $aclocalinclude; \
+ autoheader; autoconf)
+done
+
+./configure "$@"
+
+echo
+echo "Now type 'make' to compile $PROJECT."